apt update でエラー

最大的社区版本,Ubuntu的发源地
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

apt update でエラー

#1

帖子 寺島聰子 » 2021-07-27 1:12

新規インストール直後bullseye

$ cat /etc/apt/sources.list
# See https://wiki.debian.org/SourcesList for more information.
deb http://deb.debian.org/debian bullseye main
deb-src http://deb.debian.org/debian bullseye main

deb http://deb.debian.org/debian bullseye-updates main
deb-src http://deb.debian.org/debian bullseye-updates main

deb http://security.debian.org/debian-security/ bullseye-updates main
deb-src http://security.debian.org/debian-security/ bullseye-updates main

$ sudo apt update
[sudo] password for n: <<< sudo でパスワード要求されます。どうしたら?

Ign:1 http://security.debian.org/debian-security bullseye-updates InRelease

Err:2 http://security.debian.org/debian-security bullseye-updates Release
404 Not Found [IP: 151.101.90.132 80]

E: The repository 'http://security.debian.org/debian-security bullseye-updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

$
头像
Ping-Wu
帖子: 1702
注册时间: 2012-11-14 9:34
系统: Debian 12
送出感谢: 3 次
接收感谢: 73 次

Re: apt update でエラー

#2

帖子 Ping-Wu » 2021-07-27 1:57

[$ cat /etc/apt/sources.list
# See https://wiki.debian.org/SourcesList for more information.
deb http://deb.debian.org/debian bullseye main
deb-src http://deb.debian.org/debian bullseye main

deb http://deb.debian.org/debian bullseye-updates main
deb-src http://deb.debian.org/debian bullseye-updates main

deb http://security.debian.org/debian-security/ bullseye-updates bullseye-security main
deb-src http://security.debian.org/debian-security/ bullseye-updates bullseye-security main
这些用户感谢了作者 Ping-Wu 于这个帖子:
寺島聰子 (2021-07-28 4:44)
评价: 3.7%
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#3

帖子 寺島聰子 » 2021-07-28 3:22

早上好,Ping-Wu先生。
deb http://security.debian.org/debian-security/ bullseye-updates bullseye-security main
deb-src http://security.debian.org/debian-security/ bullseye-updates bullseye-security main

この変更の根拠は何か以下の行を検索
E: The repository 'http://security.debian.org/debian-security bullseye-updates Release' does not have a Release file.
https://the-codeslinger.com/2020/03/26/ ... ease-file/
Debian Testing “Bullseye”: The Repository Does Not Have a Release File

Unfortunately, the Debian maintainers managed to let a bug creep into the /etc/apt/sources.list. It’s called "Testing" for a reason, I guess.
不幸的是,Debian维护人员设法让一个bug潜入/etc/apt/sources.list。我想这叫做“测试”是有原因的。
The offending lines are this.
冒犯的台词是这样的。
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#4

帖子 寺島聰子 » 2021-07-28 4:18

Unfortunately 不幸地 ; 遗憾地 ; 可惜地 ; 可悲地
bug 缺陷 ; 虫子 ; 小昆虫 ; 轻微的传染病 ; 小病 ; 热衷 ; 着迷 ; 在装窃听器 ; 窃听 ; 使烦恼 ; 使恼怒
creep 悄悄地缓慢行进 ; 蹑手蹑脚地移动 ; 匍匐 ; 爬行 ; 非常缓慢地行进 ; 不知不觉产生 ; 渐渐出现 ; 讨厌鬼 ; 讨好卖乖的人 ; 谄媚奉承的人 ; 马屁精
reason 原因 ; 理由 ; 解释 ; 正当理由 ; 道理 ; 情理 ; 思考力 ; 理解力 ; 理性 ; 推理 ; 推论 ; 推断 ; 思考 ; 理解
offending 烦人的 ; 令人不安的 ; 惹麻烦的 ; 有罪的 ; 违法的 ; 得罪 ; 冒犯 ; 令人不适 ; 犯罪 ; 犯法 ; offend的现在分词
------------------------------------------------------
コマンドで書き換えるチャレンジ

https://qiita.com/sauna_kaikai/items/70 ... eefc97b703

sed [オプション] 's/置換前文字列/置換後文字列/フラグ' <ファイル名>
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#5

帖子 寺島聰子 » 2021-07-28 4:43

より良い文証を発見。

Debian 11 Bullseye で セキュリティ更新の命名法に変更がありました。

第 6 章 メンテナンスと更新、APT ツール - 6.1.3. テスト版/不安定版ユーザ向けリポジトリ
https://www.debian.org/doc/manuals/debi ... st.testing
NOTE Layout of security repositories

Starting with Debian 11 Bullseye, the codename of the repository providing security updates has been renamed from codename/updates into codename-security to avoid the confusion with codename-updates (see 第 6.1.2.2 節「安定版更新」).
codename-updates との混同を避けるために、codename/updates から codename-security に変更。
为了避免与codename-updates混淆,从codename/updates变更为codename-security。
头像
Ping-Wu
帖子: 1702
注册时间: 2012-11-14 9:34
系统: Debian 12
送出感谢: 3 次
接收感谢: 73 次

Re: apt update でエラー

#6

帖子 Ping-Wu » 2021-07-28 6:36

Debian 11 官方版的 /etc/apt/source.list 有误 (エラー) ,以致无法进行 sudo apt update,必须修改 (正しい ) 。我们建议桌面系统使用者顺便加入 contrib 及 non-free 套件库。

For desktop systems, it is recommended to correct (正しい エラー) the original /etc/apt/source.list file (in red color ) and add (in blue color ) contrib and non-free repositories:

deb http://deb.debian.org/debian bullseye main contrib non-free
deb-src http://deb.debian.org/debian bullseye main contrib non-free

deb http://deb.debian.org/debian bullseye-updates main contrib non-free
deb-src http://deb.debian.org/debian bullseye-updates main contrib non-free

deb http://security.debian.org/debian-security/ bullseye-updates bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security/ bullseye-updates bullseye-security main contrib non-free
上次由 Ping-Wu 在 2021-07-28 12:32,总共编辑 1 次。
头像
Ping-Wu
帖子: 1702
注册时间: 2012-11-14 9:34
系统: Debian 12
送出感谢: 3 次
接收感谢: 73 次

Re: apt update でエラー

#7

帖子 Ping-Wu » 2021-07-28 11:28

初次使用 Debian 11 桌面的 Linux 老手,建议使用下列档案取代官方版的 /etc/apt/source.list:

代码: 全选

deb http://deb.debian.org/debian bullseye main contrib non-free
deb-src http://deb.debian.org/debian bullseye main contrib non-free

deb http://deb.debian.org/debian bullseye-updates main contrib non-free
deb-src http://deb.debian.org/debian bullseye-updates main contrib non-free

deb http://security.debian.org/debian-security/ bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security/ bullseye-security main contrib non-free
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#8

帖子 寺島聰子 » 2021-07-29 17:43

結果報告が遅れました。
Ping-Wu 写了:
2021-07-27 1:57
[$ cat /etc/apt/sources.list
# See https://wiki.debian.org/SourcesList for more information.
deb http://deb.debian.org/debian bullseye main
deb-src http://deb.debian.org/debian bullseye main

deb http://deb.debian.org/debian bullseye-updates main
deb-src http://deb.debian.org/debian bullseye-updates main

deb http://security.debian.org/debian-security/ bullseye-updates bullseye-security main
deb-src http://security.debian.org/debian-security/ bullseye-updates bullseye-security main

$ sudo apt update
[sudo] n のパスワード: <<<< sudo でパスワード要求されます。どうしたら?

取得:1 http://deb.debian.org/debian bullseye InRelease [150 kB]
取得:2 http://deb.debian.org/debian bullseye-updates InRelease [40.1 kB]
取得:3 http://deb.debian.org/debian bullseye/main Sources.diff/Index [63.6 kB]
取得:4 http://security.debian.org/debian-security bullseye-security InRelease [44.1 kB]
取得:5 http://deb.debian.org/debian bullseye/main amd64 Packages.diff/Index [63.6 kB]
取得:6 http://security.debian.org/debian-security bullseye-security/main Sources [780 B]
取得:7 http://security.debian.org/debian-security bullseye-security/main amd64 Packages [812 B]
取得:8 http://security.debian.org/debian-security bullseye-security/main Translation-en [596 B]
取得:9 http://deb.debian.org/debian bullseye/main Sources T-2021-07-27-2001.38-F-2021-07-26-2001.35.pdiff [2,000 B]
取得:9 http://deb.debian.org/debian bullseye/main Sources T-2021-07-27-2001.38-F-2021-07-26-2001.35.pdiff [2,000 B]
取得:10 http://deb.debian.org/debian bullseye/main amd64 Packages T-2021-07-27-2001.38-F-2021-07-26-2001.35.pdiff [6,720 B]
取得:10 http://deb.debian.org/debian bullseye/main amd64 Packages T-2021-07-27-2001.38-F-2021-07-26-2001.35.pdiff [6,720 B]
372 kB を 7秒 で取得しました (52.2 kB/s)
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了
状態情報を読み取っています... 完了
アップグレードできるパッケージが 277 個あります。表示するには 'apt list --upgradable' を実行してください。

$
错误全部消除了,Ping-Wu谢谢你。 :Cry
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#9

帖子 寺島聰子 » 2021-07-29 18:00

寺島聰子 写了:
2021-07-28 4:18
コマンドで書き換えるチャレンジ
https://qiita.com/sauna_kaikai/items/70 ... eefc97b703

sed [オプション] 's/置換前文字列/置換後文字列/フラグ' <ファイル名>
これは、
$ sudo sed -i 's/bullseye-updates/bullseye-security/' /etc/apt/sources.list

と思うが、怖くて実行してません。timeshift でスナップショットとって試せばいいだけだけど。
虽然这么想,但是因为害怕所以没有实行。用timeshift取snaptShot试试就可以了。

視認性良く、パッと見て理解しやすく
视认性好,一看就容易理解
deb http://security.debian.org/debian-security/ bullseye-updates bullseye-security main
示して下さったので

/etc/apt/sources.listをエディタで開いて "http://security.debian.org/debian-security bullseye-updates" を含む行を見つけて手作業で"bullseye-updates" → "bullseye-security"
と書き換えました。
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#10

帖子 寺島聰子 » 2021-07-29 20:19

1.
Debian 11 官方版的 /etc/apt/source.list 有误 (エラー) ,以致无法进行 sudo apt update,必须修改 (正しい ) 。
Debian11公式バージョンの /etc/apt/source.listのが間違っているため、sudo apt update
を実行できず、変更する必要があります。
了解 :Grimace
2.
我们建议桌面系统使用者顺便加入 contrib 及 non-free 套件库。
ちなみに、デスクトップユーザーはcontribおよびnon-freeパッケージライブラリを追加することをお勧めします。
:Haha
3.
For desktop systems, it is recommended to correct the original /etc/apt/source.list file (in red color ) and add (in blue color) contrib and non-free repositories:
[デスクトップシステムの場合、元の/etc/apt/source.listファイル(赤色)を修正し、貢献リポジトリと非フリーリポジトリを追加(青色)することをお勧めします。]
:Noting :Faint 混乱して どういうことか?わかりません。混乱是怎么回事?我不知道。
附件
Screenshot at 2021-07-29 21-14-55.png
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#11

帖子 寺島聰子 » 2021-07-29 20:52

現在
$ cat /etc/apt/sources.list
# See https://wiki.debian.org/SourcesList for more information.
deb http://deb.debian.org/debian bullseye main
deb-src http://deb.debian.org/debian bullseye main

deb http://deb.debian.org/debian bullseye-updates main
deb-src http://deb.debian.org/debian bullseye-updates main

# codename-updates との混同を避けるために、codename/updates から codename-security に変更。
deb http://security.debian.org/debian-security/ bullseye-security main
deb-src http://security.debian.org/debian-security/ bullseye-security main

$
Ping-Wu 写了:
2021-07-28 11:28

代码: 全选

deb http://deb.debian.org/debian bullseye main contrib non-free
deb-src http://deb.debian.org/debian bullseye main contrib non-free

deb http://deb.debian.org/debian bullseye-updates main contrib non-free
deb-src http://deb.debian.org/debian bullseye-updates main contrib non-free

deb http://security.debian.org/debian-security/ bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security/ bullseye-security main contrib non-free
目を皿にして比較してみると、全行に渡って「main」の後ろにスペースひとつ入れ「contrib」の後ろにスペースひとつ入れ「non-free」と追記してるだけのようだ。
把眼睛放在盘子里比较一下,好像全部行都只在“main”后面放一个空格,在“contrib”后面加一个空格,再加上“non-free”。
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#12

帖子 寺島聰子 » 2021-07-29 20:58

https://www.debian.org/distrib/packages.ja.html
ユーザへのサービスとして、フリーではないライセンスや法律上の問題のために main ディストリビューションに含むことができないパッケージも、独立 したセクションとして提供します。セクションには以下のようなものがあります。

Contrib
このディレクトリにあるパッケージは、著作権所有者によってフリーに ライセンスされていますが、他のフリーではないソフトウェアに依存します。
Non-Free
このディレクトリにあるパッケージは、 そのソフトウェアの利用や再配布になんらかの煩わしい制限があるものです。
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#13

帖子 寺島聰子 » 2021-07-29 21:23

$ sudo pluma /etc/apt/sources.list
[sudo] n のパスワード:

----------------------------------------
# See https://wiki.debian.org/SourcesList for more information.
deb http://deb.debian.org/debian bullseye main
deb-src http://deb.debian.org/debian bullseye main

deb http://deb.debian.org/debian bullseye-updates main
deb-src http://deb.debian.org/debian bullseye-updates main

# codename-updates との混同を避けるために、codename/updates から codename-security に変更。
deb http://security.debian.org/debian-security/ bullseye-security main
deb-src http://security.debian.org/debian-security/ bullseye-security main
----------------------------------------------
変更後
----------------------------------------------
# Ping-Wu » 2021-07-28
deb http://deb.debian.org/debian bullseye main contrib non-free
deb-src http://deb.debian.org/debian bullseye main contrib non-free

deb http://deb.debian.org/debian bullseye-updates main contrib non-free
deb-src http://deb.debian.org/debian bullseye-updates main contrib non-free

deb http://security.debian.org/debian-security/ bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security/ bullseye-security main contrib non-free
----------------------------------------------
これでいいのかっ?
这样可以吗?
ところで bullseyeのwifiが異常に遅いです。
对了 bullseye的wifi异常慢。

$ sudo apt update
取得:1 http://deb.debian.org/debian bullseye InRelease [150 kB]
取得:2 http://security.debian.org/debian-security bullseye-security InRelease [44.1 kB]
取得:3 http://deb.debian.org/debian bullseye-updates InRelease [40.1 kB]
取得:4 http://deb.debian.org/debian bullseye/main Sources.diff/Index [63.6 kB]
取得:5 http://deb.debian.org/debian bullseye/main amd64 Packages.diff/Index [63.6 kB]
取得:6 http://deb.debian.org/debian bullseye/main Sources T-2021-07-29-0801.36-F-2021-07-28-0201.35.pdiff [3,330 B]
取得:6 http://deb.debian.org/debian bullseye/main Sources T-2021-07-29-0801.36-F-2021-07-28-0201.35.pdiff [3,330 B]
取得:7 http://deb.debian.org/debian bullseye/main amd64 Packages T-2021-07-29-0202.41-F-2021-07-28-0201.35.pdiff [8,749 B]
取得:7 http://deb.debian.org/debian bullseye/main amd64 Packages T-2021-07-29-0202.41-F-2021-07-28-0201.35.pdiff [8,749 B]
取得:8 http://deb.debian.org/debian bullseye/contrib Sources [43.0 kB]
取得:9 http://deb.debian.org/debian bullseye/non-free Sources [80.8 kB]
取得:10 http://deb.debian.org/debian bullseye/contrib amd64 Packages [50.4 kB]
取得:11 http://deb.debian.org/debian bullseye/contrib Translation-en [46.9 kB]
取得:12 http://deb.debian.org/debian bullseye/non-free amd64 Packages [94.0 kB]
取得:13 http://deb.debian.org/debian bullseye/non-free Translation-en [91.5 kB]
780 kB を 8秒 で取得しました (100 kB/s)
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了
状態情報を読み取っています... 完了
アップグレードできるパッケージが 307 個あります。表示するには 'apt list --upgradable' を実行してください。

$

最後までありがとうございました〜〜〜!! :Haha
头像
Ping-Wu
帖子: 1702
注册时间: 2012-11-14 9:34
系统: Debian 12
送出感谢: 3 次
接收感谢: 73 次

Re: apt update でエラー

#14

帖子 Ping-Wu » 2021-08-02 3:41

请执行 sudo apt full-upgrade, 確認 wi-fi 有无改善?
寺島聰子
帖子: 560
注册时间: 2016-06-03 14:39
系统: debian10
送出感谢: 11 次
接收感谢: 1 次

Re: apt update でエラー

#15

帖子 寺島聰子 » 2021-08-03 0:43

Ping-Wu 写了:
2021-08-02 3:41
请执行 sudo apt full-upgrade, 確認 wi-fi 有无改善?
数日前に
$ apt list --upgradable | grep real
すると、
firmware-realtek/testing 20210315-3 all [20210315-2 からアップグレード可]
があったので、
$ sudo apt install firmware-realtek
しました。
wifi は改善しませんでした。不安定かつ低速。
回复